#include <bits/stdc++.h>
using namespace std;
int n,b=1,c=1,d,e,a[10000000];
bool fibo[1000000];
void sang()
{
    fibo[1]=true;
    while (b+c<1000000)
    {
        e=b+c;
        b=c;
        c=e;
        fibo[e]=true;
    }
}
int main()
{
    ifstream f1("DEMFB.inp");
    ofstream f2("DEMFB.out");
    f1>>n;
    for (int i=0;i<n;i++)
    {
        f1>>a[i];
    }
    sang();
    for (int i=0;i<n;i++)
    {
        if (fibo[a[i]]==true)
            d++;
    }
    f2<<d;
    f1.close();
    f2.close();
    return 0;
}


